package com.ruoyi.applet.contoller;


import com.cyl.manager.staff.domain.vo.StaffVO;
import com.ruoyi.applet.mallpojo.TeacherListRequest;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.AppUsers;
import com.ruoyi.model.domain.AppletAddress;
import com.ruoyi.model.domain.AppletConfig;
import com.ruoyi.model.domain.AppletUsersTeacher;
import com.ruoyi.model.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@Api(description = "下单小程序端 - 派单指定相关接口")
@RestController
@RequestMapping("/applet/mall/teacher")
public class ApiMallUserTeacherController extends BaseController {

    @Autowired
    private IAppUsersService appUsersService;
    @Autowired
    private IAppletUsersTeacherService appletUsersTeacherService;
    @Autowired
    private IAppletConfigService appletConfigService;
    @Autowired
    private IAppletAddressService appletAddressService;

    //mall端-查询周边伴宠师集合
    @ApiOperation("mall端-查询周边伴宠师列表集合接口")
    @GetMapping("/getTeacherList")
    public TableDataInfo getTeacherList(TeacherListRequest request) {
        startPage();
        AppUsers appUsers = new AppUsers();
        appUsers.setUserBcs(1);
        //如果伴宠师等级传入
        if (request.getTeacherLevels() != null) {
            appUsers.setUserBcsRole(request.getTeacherLevels());
        }
        List<AppUsers> appUsersList = appUsersService.selectAppUsersList(appUsers);
        for (AppUsers appUsers1 : appUsersList){
            AppletUsersTeacher appletUsersTeacher = appletUsersTeacherService.selectAppletUsersTeacherByUserId(appUsers1.getUserId());
            appUsers1.setAppletUsersTeacher(appletUsersTeacher);

            AppletAddress appletAddress = new AppletAddress();
            appletAddress.setUserId(appUsers.getUserId());
            List<AppletAddress> appletAddresses = appletAddressService.selectAppletAddressList(appletAddress);
            appUsers.setAppletAddresseList(appletAddresses);
        }
        return getDataTable(appUsersList);
    }


    //mall端-查询指定伴宠师详情
    @ApiOperation("mall端-查询指定伴宠师详情接口")
    @GetMapping("/getTeacherDetail")
    public AppUsers getTeacherDetail(Long userId) {
        AppUsers appUsers = appUsersService.selectAppUsersByUserId(userId);
        AppletUsersTeacher appletUsersTeacher = appletUsersTeacherService.selectAppletUsersTeacherByUserId(appUsers.getUserId());
        appUsers.setAppletUsersTeacher(appletUsersTeacher);

        AppletAddress appletAddress = new AppletAddress();
        appletAddress.setUserId(appUsers.getUserId());
        List<AppletAddress> appletAddresses = appletAddressService.selectAppletAddressList(appletAddress);
        appUsers.setAppletAddresseList(appletAddresses);





        return appUsers;
    }


    //mall端-系统派单的时候需要选择的伴宠师等级说明
    @ApiOperation("mall端-系统派单的时候需要选择的伴宠师等级说明接口")
    @GetMapping("/getTeacherLevels")
    public TableDataInfo getTeacherLevels() {
        AppletConfig appletConfig = new AppletConfig();
        appletConfig.setParamClass("order_mall");
        List<AppletConfig> appletConfigs = appletConfigService.selectAppletConfigList(appletConfig);
        return getDataTable(appletConfigs);
    }




















}
