package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletOrderItemDateLog;

/**
 * 订单信息表Mapper接口
 *
 * @author daixiande
 */
public interface AppletOrderItemDateLogMapper {
    /**
     * 查询订单信息表
     *
     * @param id 订单信息表主键
     * @return 订单信息表
     */
    AppletOrderItemDateLog selectById(Long id);
    AppletOrderItemDateLog selectAppletOrderItemDateLogByItemDateId(Long itemDateId);

    /**
     * 查询订单信息表列表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 订单信息表集合
     */
    List<AppletOrderItemDateLog> selectList(AppletOrderItemDateLog appletOrderItemDateLog);

    /**
     * 新增订单信息表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 结果
     */
    int insert(AppletOrderItemDateLog appletOrderItemDateLog);

    /**
     * 修改订单信息表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 结果
     */
    int update(AppletOrderItemDateLog appletOrderItemDateLog);

    /**
     * 删除订单信息表
     *
     * @param id 订单信息表主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除订单信息表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 更新或插入订单信息表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 结果
     */
    int insertOrUpdate(AppletOrderItemDateLog appletOrderItemDateLog);
}
